Search for saved objects
- Base URL
-
https://{kibana_url}
- GET /api/saved_objects/_find
- GET /s/{space_id}/api/saved_objects/_find
Refer to Spaces for more information.
Retrieve a paginated set of Kibana saved objects.
Query parameters
-
aggsstring -
An aggregation structure, serialized as a string. The field format is similar to filter, meaning that to use a saved object type attribute in the aggregation, the
savedObjectType.attributes.title: "myTitle"format must be used. For root fields, the syntax issavedObjectType.rootField. NOTE: As objects change in Kibana, the results on each page of the response also change. Use the find API for traditional paginated results, but avoid using it to export large amounts of data. -
filterstring -
The filter is a KQL string with the caveat that if you filter with an attribute from your saved object type, it should look like that:
savedObjectType.attributes.title: "myTitle". However, if you use a root attribute of a saved object such asupdated_at, you will have to define your filter like that:savedObjectType.updated_at > 2018-12-22. -
has_no_referenceobject -
Filters to objects that do not have a relationship with the type and identifier combination.
-
has_no_reference_operatorstring -
The operator to use for the
has_no_referenceparameter. EitherORorAND. Defaults toOR. -
has_reference_operatorstring -
The operator to use for the
has_referenceparameter. EitherORorAND. Defaults toOR. -
sort_fieldstring -
Sorts the response. Includes "root" and "type" fields. "root" fields exist for all saved objects, such as "updated_at". "type" fields are specific to an object type, such as fields returned in the attributes key of the response. When a single type is defined in the type parameter, the "root" and "type" fields are allowed, and validity checks are made in that order. When multiple types are defined in the type parameter, only "root" fields are allowed.